Groovy 1.7.0

## org.codehaus.groovy.classgen
Class MethodCallerMultiAdapter

    java.lang.Object
      org.codehaus.groovy.classgen.MethodCallerMultiAdapter

    class MethodCallerMultiAdapter
    extends Object

Field Summary
`static int` | `MAX_ARGS`
`boolean` | `skipSpreadSafeAndSafe`

Constructor Summary
`MethodCallerMultiAdapter()`

Method Summary
`void` | `call(MethodVisitor methodVisitor, int numberOfArguments, boolean safe, boolean spreadSafe)`
`static MethodCallerMultiAdapter` | `newStatic(Class theClass, String baseName, boolean createNArgs, boolean skipSpreadSafeAndSafe)`

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### MAX_ARGS

    static final int MAX_ARGS

### skipSpreadSafeAndSafe

    boolean skipSpreadSafeAndSafe

Constructor Detail

### MethodCallerMultiAdapter

    MethodCallerMultiAdapter()

Method Detail

### call

    public void call(MethodVisitor methodVisitor, int numberOfArguments, boolean safe, boolean spreadSafe)

  param:
    methodVisitor
  param:
    numberOfArguments a value >0 describing how many arguments are additionally used for the method call
  param:
    safe
  param:
    spreadSafe

### newStatic

    public static MethodCallerMultiAdapter newStatic(Class theClass, String baseName, boolean createNArgs, boolean skipSpreadSafeAndSafe)

Copyright © 2003-2009 The Codehaus. All rights reserved.